package com.gic.udesk.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * udesk自定义字段 客服权限
 * @ClassName: CalculateResultTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/25 2:36 PM 
 */
public enum AgentPermissionEnum {
    READONLY("readonly", "客服可见，但不可编辑"),
    READWRITE("readwrite", "客服可编辑"),
    MUST("must", "客服必填");

    private String code;

    private String message;

    private AgentPermissionEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static List<Map<String, Object>> list() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (AgentPermissionEnum permissionEnum : values()) {
            Map<String, Object> temp = new HashMap<>(4);
            temp.put("key", permissionEnum.getCode());
            temp.put("value", permissionEnum.getMessage());
            result.add(temp);
        }
        return result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
