package com.gic.udesk.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * udesk自定义字段 计算字段的计算结果类型
 * @ClassName: CalculateResultTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/25 2:36 PM 
 */
public enum CalculateResultTypeEnum {
    NUMERIC("numeric", "数字"),
    DURATION("duration", "时长"),
    PERCENTAGE("percentage", "百分比");

    private String code;

    private String message;

    private CalculateResultTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static List<Map<String, Object>> list() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (CalculateResultTypeEnum permissionEnum : values()) {
            Map<String, Object> temp = new HashMap<>(4);
            temp.put("key", permissionEnum.getCode());
            temp.put("value", permissionEnum.getMessage());
            result.add(temp);
        }
        return result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
