package com.gic.udesk.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * udesk自定义字段 字段类型
 * @ClassName: CustomFieldContentTypeEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/25 2:34 PM 
 */
public enum CustomFieldContentTypeEnum {
    TEXT("text", "单行文本"),
    AREA_TEXT("area_text", "多行文本"),
    DATE("date", "日期"),
    TIME("time", "时间"),
    DATE_TIME("datetime", "日期时间"),
    LINK("link", "超链接"),
    LOCATION("location", "地理位置"),
    NUMBER("number", "正整数"),
    NUMERIC("numeric", "数值"),
    DROPLIST("droplist", "下拉列表"),
    RADIO("radio", "单选"),
    CHECKBOX("checkbox", "多选"),
    CHAINED_DROPLIST("chained_droplist", "级联"),
    CALCULATE("calculate", "计算字段");

    private String code;

    private String message;

    private CustomFieldContentTypeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static List<Map<String, Object>> list() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (CustomFieldContentTypeEnum permissionEnum : values()) {
            Map<String, Object> temp = new HashMap<>(4);
            temp.put("key", permissionEnum.getCode());
            temp.put("value", permissionEnum.getMessage());
            result.add(temp);
        }
        return result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
