package com.gic.udesk.constant;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public enum  UdeskStatusEnum {
    OPEN("open", "开启", 1),
    SOLVING("solving", "解决中", 4),
    RESOLVED("resolved", "已解决", 2),
    CLOSED("closed", "已关闭", 3);

    private String code;

    private String message;

    private int value;

    private UdeskStatusEnum(String code, String message, int value) {
        this.code = code;
        this.message = message;
        this.value = value;
    }

    public static List<Map<String, Object>> list() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (UdeskStatusEnum permissionEnum : values()) {
            Map<String, Object> temp = new HashMap<>(4);
            temp.put("key", permissionEnum.getCode());
            temp.put("value", permissionEnum.getMessage());
            result.add(temp);
        }
        return result;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }
}
