package com.gic.udesk.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 工单信息
 * @ClassName: TicketDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:32 PM 
 */
public class TicketDTO implements Serializable{
    private static final long serialVersionUID = 1316075989331518774L;

    /**
     * 唯一标识，系统自动生成
     */
    private Integer id;

    /**
     * 唯一标识，系统自动生成
     */
    private String field_num;

    /**
     * 标题
     */
    private String subject;

    /**
     * 内容
     */
    private String content;

    /**
     * 内容类型
     */
    private String content_type;

    /**
     * 客户id
     */
    private Integer user_id;

    /**
     * 客户姓名
     */
    private String user_name;

    /**
     * 客户邮箱
     */
    private String user_email;

    /**
     * 客户电话
     */
    private String user_cellphone;

    /**
     * 客户所属公司id
     */
    private Integer organization_id;

    /**
     * 受理客服id
     */
    private Integer assignee_id;

    /**
     * 受理客服姓名
     */
    private String assignee_name;

    /**
     * 受理客服头像
     */
    private String assignee_avatar;

    /**
     * 受理客服组id
     */
    private Integer user_group_id;

    /**
     * 受理客服组名称
     */
    private String user_group_name;

    /**
     * 模板id
     */
    private Integer template_id;

    /**
     * 优先级中文名称
     */
    private String priority;

    /**
     * 状态中文名称
     */
    private String status;

    /**
     * 状态英文名称
     */
    private String status_en;

    /**
     * 渠道中文名称
     */
    private String platform;

    /**
     * 满意度调查结果
     */
    private String satisfaction;

    /**
     * 自定义字段
     */
    private Map<String, String> custom_fields;

    /**
     * 标签
     */
    private String tags;

    /**
     * 关注者
     */
    private List<FollowerDTO> followers;

    /**
     * 创建人
     */
    private Integer creator_id;

    /**
     * 创建时间，系统自动生成
     */
    private String created_at;

    /**
     * 更新时间，系统自动生成
     */
    private String updated_at;

    /**
     * 开始解决时间
     */
    private String solving_at;

    /**
     * 解决时间
     */
    private String resolved_at;

    /**
     * 关闭时间
     */
    private String closed_at;

    /**
     * 到期时间
     */
    private String solved_deadline;

    /**
     * 最后回复时间
     */
    private String replied_at;

    /**
     * 客服最后回复时间
     */
    private String agent_replied_at;

    /**
     * 客户最后回复时间
     */
    private String customer_replied_at;

    /**
     * 最后回复人
     */
    private String replied_by;

    /**
     * 工单关联的附件
     */
    private List<AttachmentDTO> attachments;

    /**
     * 工单的sub_session_id
     */
    private Integer im_sub_session_id;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getField_num() {
        return field_num;
    }

    public void setField_num(String field_num) {
        this.field_num = field_num;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent_type() {
        return content_type;
    }

    public void setContent_type(String content_type) {
        this.content_type = content_type;
    }

    public Integer getUser_id() {
        return user_id;
    }

    public void setUser_id(Integer user_id) {
        this.user_id = user_id;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getUser_email() {
        return user_email;
    }

    public void setUser_email(String user_email) {
        this.user_email = user_email;
    }

    public String getUser_cellphone() {
        return user_cellphone;
    }

    public void setUser_cellphone(String user_cellphone) {
        this.user_cellphone = user_cellphone;
    }

    public Integer getOrganization_id() {
        return organization_id;
    }

    public void setOrganization_id(Integer organization_id) {
        this.organization_id = organization_id;
    }

    public Integer getAssignee_id() {
        return assignee_id;
    }

    public void setAssignee_id(Integer assignee_id) {
        this.assignee_id = assignee_id;
    }

    public String getAssignee_name() {
        return assignee_name;
    }

    public void setAssignee_name(String assignee_name) {
        this.assignee_name = assignee_name;
    }

    public String getAssignee_avatar() {
        return assignee_avatar;
    }

    public void setAssignee_avatar(String assignee_avatar) {
        this.assignee_avatar = assignee_avatar;
    }

    public Integer getUser_group_id() {
        return user_group_id;
    }

    public void setUser_group_id(Integer user_group_id) {
        this.user_group_id = user_group_id;
    }

    public String getUser_group_name() {
        return user_group_name;
    }

    public void setUser_group_name(String user_group_name) {
        this.user_group_name = user_group_name;
    }

    public Integer getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(Integer template_id) {
        this.template_id = template_id;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus_en() {
        return status_en;
    }

    public void setStatus_en(String status_en) {
        this.status_en = status_en;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getSatisfaction() {
        return satisfaction;
    }

    public void setSatisfaction(String satisfaction) {
        this.satisfaction = satisfaction;
    }

    public Map<String, String> getCustom_fields() {
        return custom_fields;
    }

    public void setCustom_fields(Map<String, String> custom_fields) {
        this.custom_fields = custom_fields;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<FollowerDTO> getFollowers() {
        return followers;
    }

    public void setFollowers(List<FollowerDTO> followers) {
        this.followers = followers;
    }

    public Integer getCreator_id() {
        return creator_id;
    }

    public void setCreator_id(Integer creator_id) {
        this.creator_id = creator_id;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }

    public String getSolving_at() {
        return solving_at;
    }

    public void setSolving_at(String solving_at) {
        this.solving_at = solving_at;
    }

    public String getResolved_at() {
        return resolved_at;
    }

    public void setResolved_at(String resolved_at) {
        this.resolved_at = resolved_at;
    }

    public String getClosed_at() {
        return closed_at;
    }

    public void setClosed_at(String closed_at) {
        this.closed_at = closed_at;
    }

    public String getSolved_deadline() {
        return solved_deadline;
    }

    public void setSolved_deadline(String solved_deadline) {
        this.solved_deadline = solved_deadline;
    }

    public String getReplied_at() {
        return replied_at;
    }

    public void setReplied_at(String replied_at) {
        this.replied_at = replied_at;
    }

    public String getAgent_replied_at() {
        return agent_replied_at;
    }

    public void setAgent_replied_at(String agent_replied_at) {
        this.agent_replied_at = agent_replied_at;
    }

    public String getCustomer_replied_at() {
        return customer_replied_at;
    }

    public void setCustomer_replied_at(String customer_replied_at) {
        this.customer_replied_at = customer_replied_at;
    }

    public String getReplied_by() {
        return replied_by;
    }

    public void setReplied_by(String replied_by) {
        this.replied_by = replied_by;
    }

    public List<AttachmentDTO> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<AttachmentDTO> attachments) {
        this.attachments = attachments;
    }

    public Integer getIm_sub_session_id() {
        return im_sub_session_id;
    }

    public void setIm_sub_session_id(Integer im_sub_session_id) {
        this.im_sub_session_id = im_sub_session_id;
    }
}
