package com.gic.udesk.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.udesk.dto.UdeskTicketDetailDTO;
import com.gic.udesk.dto.gic.GicTicketDTO;
import com.gic.udesk.dto.gic.TicketRepliesDTO;
import com.gic.udesk.dto.gic.UdeskEnterpriseDTO;
import com.gic.udesk.qo.TicketListQO;

/**
 * gic商户udesk工单接口
 * @ClassName: GicTicketApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/26 4:27 PM 
 */
public interface GicTicketApiService {

    /**
     * gic商户新建工单
     * @Title: saveTicket 
     * @Description:
      * @author guojuxing
     * @param gicTicketDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> saveTicket(GicTicketDTO gicTicketDTO);

    /**
     * 分页查询
     * @Title: page 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.udesk.dto.gic.UdeskEnterpriseDTO>> 
      */
    ServiceResponse<Page<UdeskEnterpriseDTO>> page(TicketListQO params);

    /**
     * 查询工单回复信息
     * @Title: getTicketReplies 
     * @Description:
      * @author guojuxing
     * @param ticketId 工单ID
     * @param currentPage 第几页
     * @param pageSize  每页多少条
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.udesk.dto.gic.TicketRepliesDTO> 
      */
    ServiceResponse<TicketRepliesDTO> getTicketReplies(Integer ticketId, Integer currentPage, Integer pageSize);

    /**
     * 关闭工单
     * @Title: closeTicket 
     * @Description:
      * @author guojuxing
     * @param ticketId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 
      */
    ServiceResponse<String> closeTicket(Integer ticketId);

    /**
     * 工单详情
     * @Title: getTicketDetailById 
     * @Description:
      * @author guojuxing
     * @param ticketId 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.udesk.dto.UdeskTicketDetailDTO> 
      */
    ServiceResponse<UdeskTicketDetailDTO> getTicketDetailById(Integer ticketId);
}
