package com.gic.udesk.dao.mapper;

import com.gic.udesk.entity.TabUdeskCustomers;
import org.apache.ibatis.annotations.Param;

public interface TabUdeskCustomersMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUdeskCustomers record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUdeskCustomers record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabUdeskCustomers selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUdeskCustomers record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUdeskCustomers record);

    TabUdeskCustomers countCustomerId(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId);
}