package com.gic.udesk.dao.mapper;

import com.gic.udesk.entity.TabUdeskEnterprise;
import com.gic.udesk.qo.TicketListQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabUdeskEnterpriseMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUdeskEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUdeskEnterprise record);

    int updateStatus(@Param("ticketId") Integer ticketId, @Param("status") String status);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabUdeskEnterprise selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUdeskEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUdeskEnterprise record);
    /**
     * 分页查询
     * @Title: page 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.udesk.entity.TabUdeskEnterprise> 
      */
    List<TabUdeskEnterprise> page(TicketListQO params);
}