package com.gic.udesk.dao.mapper;

import com.gic.udesk.entity.TabUdeskTapdRel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabUdeskTapdRelMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUdeskTapdRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUdeskTapdRel record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabUdeskTapdRel selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUdeskTapdRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUdeskTapdRel record);

    /**
     * 查询列
     * @Title: list 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  java.util.List<com.gic.udesk.entity.TabUdeskTapdRel> 
      */
    List<TabUdeskTapdRel> list(TabUdeskTapdRel record);

    int deleteByWorkspaceId(@Param("relType") int relType, @Param("workspace_id") String workspace_id);
}