package com.gic.udesk.service.impl;

import com.gic.udesk.constant.UdeskStatusEnum;
import com.gic.udesk.dao.mapper.TabUdeskEnterpriseMapper;
import com.gic.udesk.entity.TabUdeskEnterprise;
import com.gic.udesk.qo.TicketListQO;
import com.gic.udesk.service.UdeskEnterpriseService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("udeskEnterpriseService")
public class UdeskEnterpriseServiceImpl implements UdeskEnterpriseService{
    @Autowired
    private TabUdeskEnterpriseMapper tabUdeskEnterpriseMapper;

    @Override
    public int save(TabUdeskEnterprise record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setTicketStatus(UdeskStatusEnum.OPEN.getCode());
        return tabUdeskEnterpriseMapper.insertSelective(record);
    }

    @Override
    public int close(Integer ticketId) {
        return tabUdeskEnterpriseMapper.updateStatus(ticketId, UdeskStatusEnum.CLOSED.getCode());
    }

    @Override
    public int updateStatus(Integer ticketId, String status) {
        return tabUdeskEnterpriseMapper.updateStatus(ticketId, status);
    }

    @Override
    public Page<TabUdeskEnterprise> page(TicketListQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabUdeskEnterprise> list = tabUdeskEnterpriseMapper.page(params);
        return (Page<TabUdeskEnterprise>) list;
    }
}
